petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatFDColoringSetType

Sets the approach for computing the finite difference parameter

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatFDColoringSetType(MatFDColoring matfd,MatMFFDType type)

Collective on MatFDColoring

### Input Parameters

| coloring | - the coloring context
| type | - either MATMFFD_WP or MATMFFD_DS

### Options Database Keys

-mat_fd_type -"wp" or "ds"

Note: It is goofy that the argument type is MatMFFDType since the MatFDColoring actually computes the matrix entries but the process of computing the entries is the same as as with the MatMFFD operation so we should reuse the names instead of introducing another one.

### Keywords

Mat, finite differences, parameters

### See Also

MatFDColoringCreate(), MatFDColoringView(), MatFDColoringSetParameters()

### Level

intermediate

### Location

src/mat/matfd/fdmatrix.c

### Examples

src/snes/examples/tutorials/ex14.c.html
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages